<template>
  <div>
    <!-- Composant utilisé pour annoncer les changements de route pour l'accessibilité -->
    <NuxtRouteAnnouncer />
    <!-- Le composant NuxtPage est essentiel pour afficher les pages -->
    <NuxtPage />
  </div>
</template>

<style>
.page-enter-active,
.page-leave-active {
  transition: all 0.3s;
}
.page-enter-from,
.page-leave-to {
  opacity: 0;
  filter: blur(1rem);
}
</style>